textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padtele_green
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_green.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_green.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_green.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_green.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

flareshader
{
        cull none
        {
                map textures/pad_gfx/flareb.tga
                blendfunc gl_one gl_one
                rgbgen vertex
        }
}

textures/pad_gfx02b/beam_yellow
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_yellow.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_red.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_blue.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_kitchen/microglass03
{
	qer_editorimage	textures/pad_kitchen/microglass03.tga
              surfaceparm trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pad_kitchen/microglass03.tga
        blendfunc gl_one gl_one
    }
}

textures/pad_tex02/padjump_high
{
	qer_editorimage textures/pad_tex02/padjump_high.tga
	{
		map textures/pad_tex02/padjump_high.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/pad_tex02/padjump_light03.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/pad_tex02/padjump_highred
{
	qer_editorimage textures/pad_tex02/padjump_highred.tga
	{
		map textures/pad_tex02/padjump_highred.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/pad_tex02/padjump_light01.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/pad_tex02/padjump_fly
{

	
	{
		map $lightmap
		rgbgen identity
	}

	{ 
		map textures/pad_tex02/padjump_fly.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/pad_tex02/padjump_light02b.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/pad_tex02/padjump_start.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/pad_tex02/padjump_flyred
{
	
	{
		map $lightmap
		rgbgen identity
	}

	{ 
		map textures/pad_tex02/padjump_flyred.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/pad_tex02/padjump_light02.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}


	{ 
		animmap 4 textures/pad_tex02/padjump_start.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/pad_tex02/padani_blue
{

	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_blue.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_log.tga textures/pad_tex02/padani_log02.tga textures/pad_tex02/padani_log03.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padani_red
{


	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_red.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_log.tga textures/pad_tex02/padani_log02.tga textures/pad_tex02/padani_log03.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padlolly_red
{

	qer_editorimage textures/pad_tex02/padani_red.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_red.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog01.tga textures/pad_tex02/padani_flaglog03.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padlolly_blue
{
	qer_editorimage textures/pad_tex02/padani_blue.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_blue.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog04.tga textures/pad_tex02/padani_flaglog02.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padbox3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/pad_tex02/padbox_yel.tga
	q3map_sun	1 1 1 180 -58 90
	q3map_surfacelight 200

        skyparms env/padbox3 - -
       {
		map textures/pad_tex02/skystuff3.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.01 0.03
		tcmod scale 1 2
	}
 {
		map textures/pad_tex02/skystuff3b.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.03
		tcmod scale 1 2
	}
}

textures/pad_maps/padlamp02
{
	qer_editorimage textures/pad_maps/padlamp02.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/padlamp03
{
	qer_editorimage textures/pad_maps/padlamp03.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/weaplight_blue
{
	qer_editorimage textures/pad_maps/weaplight_blue.tga
	q3map_surfacelight 150
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplight_blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/weaplight_red
{
	qer_editorimage textures/pad_maps/weaplight_red.tga
	q3map_surfacelight 150
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplight_red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/blobpad02
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pad_maps/blobpad02.tga
		tcgen environment
                tcmod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc gl_one gl_one
	}

}

textures/pad_tex02/jumploop1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_tex02/jumploop1.tga	
	q3map_surfacelight 100

	{
		map textures/pad_tex02/jumploop2.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 0.5
	}
	{
		map textures/pad_tex02/jumploop2.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.1
	}
	{
		map textures/pad_tex02/jumploop1.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 1.5
	}
	
}

textures/pad_tex02/padbase
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/padbase.tga
               		blendfunc add
		rgbgen vertex
	}
}

